Below are the system requirements for the various products offered by Wolfram Research:

Previous versions of these products are not guaranteed to be compatible with versions of hardware and software that were not supported or that were not yet publicly available at the time of the release.